Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class PostulanteEspecialidadDbHelper
    Inherits DbHelper(Of PostulanteEspecialidad,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListPostulanteEspecialidadByConcursoPostulante(ByVal idConcursoPostulante as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of PostulanteEspecialidad)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idConcursoPostulante = idConcursoPostulante
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
